openSUSE 10 Security Update : opera (opera-6473)

Medium Nessus Plugin ID 42029

Synopsis

The remote openSUSE host is missing a security update.

Description

Opera version 10 includes at least security fixes for an XML denial-of-service bug (CVE-2009-1234) and the 'SSL tampering' attack (CVE-2009-2059, CVE-2009-2063, CVE-2009-2067, CVE-2009-2070).

Solution

Update the affected opera package.

Plugin Details

Severity: Medium

ID: 42029

File Name: suse_opera-6473.nasl

Version: 1.8

Type: local

Agent: unix

Published: 2009/10/06

Updated: 2019/10/25

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:opera, cpe:/o:novell:opensuse:10.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2009/09/02

Reference Information

CVE: CVE-2009-1234, CVE-2009-2059, CVE-2009-2063, CVE-2009-2067, CVE-2009-2070

CWE: 20, 287